> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qaip.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Google Drive setting

> <p> Gets the setting (schedule, folder URL, etc.) for Google Drive data sources. </p> <p> Required roles: All </p>




## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/qaip/openapi.documented.yml get /google-drive-settings/{id}
openapi: 3.0.3
info:
  title: QAIP APIs
  version: 1.0.0
servers:
  - url: https://developer.qaip.com/api/v1
    description: API base path
security:
  - ApiKeyAuth: []
tags:
  - name: completions
    description: Generate completions
  - name: search
    description: Search content
  - name: extract
    description: Data extraction using LLM
  - name: tags
    description: List available tags
  - name: agent
    description: (Experimental) Agent operations
  - name: tag-source-groups
    description: Tag and source group associations
  - name: source-groups
    description: Source group (job) management and metadata
  - name: sources
    description: Sources management and metadata
  - name: local-file-groups
    description: Local file group management
  - name: secrets
    description: Secret management
  - name: google-drives
    description: Google Drive data source management
  - name: google-drive-settings
    description: Google Drive data source setting management
  - name: crawls
    description: Web crawl data source management
  - name: crawl-settings
    description: Web crawl setting management
  - name: githubs
    description: GitHub data source management
  - name: github-settings
    description: GitHub data source setting management
  - name: notions
    description: Notion data source management
  - name: notion-settings
    description: Notion data source setting management
  - name: authz-subject-attributes
    description: Authorization subject attribute management (admin only)
paths:
  /google-drive-settings/{id}:
    get:
      tags:
        - google-drive-settings
      summary: Get Google Drive setting
      description: >
        <p> Gets the setting (schedule, folder URL, etc.) for Google Drive data
        sources. </p> <p> Required roles: All </p>
      operationId: getGoogleDriveSetting
      parameters:
        - name: id
          in: path
          required: true
          description: Ingestion setting ID for the Google Drive data source
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval of Google Drive setting
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleDriveSetting'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from qaip import Qaip

            client = Qaip(
                api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
            )
            google_drive_setting = client.google_drives.retrieve_setting(
                "id",
            )
            print(google_drive_setting.id)
components:
  schemas:
    GoogleDriveSetting:
      type: object
      required:
        - id
        - name
        - folder_url
      properties:
        id:
          type: string
          description: Google Drive ingestion setting ID
        name:
          type: string
          description: Name of the Google Drive ingestion setting
        folder_url:
          type: string
          description: Google Drive folder URL
        rrule:
          type: string
          description: Recurrence rule (RFC 5545 RRULE)
        secret_id:
          type: string
          description: ID of the associated secret
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              description: Human-readable error message
            type:
              type: string
              description: Machine-readable error code
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````